aprintf(3)

NAME
aprintf, vaprintf - allocate and print formatted string

LIBRARY
gnulib - The GNU Portability Library

SYNOPSIS
#include <stdio.h>

char *aprintf(const char *restrict fmt, ...);
char *vaprintf(const char *restrict fmt, va_list ap);

DESCRIPTION
The functions aprintf() and vaprintf() are analogs of sprintf(3) and vsprintf(3), except that their output is written in a space allocated as if by a call to malloc(3).

This pointer should be passed to free(3) to release the allocated storage when it is no longer needed.

RETURN VALUE
On success, these functions return a pointer to the first character of the formatted string. On error, -1 is returned, and errno is set to indicate the error.

ERRORS
See sprintf(3) and malloc(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe locale

STANDARDS
None.

HISTORY
gnulib 202607.

SEE ALSO
free(3), malloc(3), sprintf(3), strdup(3), asprintf(3)